Skip to main content
`Ctrl`+`K`

# VecStrideScaleAll

Scales the subvectors of a vector defined by a starting point and a stride.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecStrideScaleAll(Vec v, const PetscScalar *scales)

Logically Collective

## Input Parameters

- v - the vector

- scales - values to multiply each subvector entry by

## Notes

One must call `VecSetBlockSize()` before this routine to set the stride information, or use a vector created from a multicomponent `DMDA`.

The dimension of scales must be the same as the vector block size

## See Also

`Vec`, `VecNorm()`, `VecStrideScale()`, `VecScale()`, `VecStrideGather()`, `VecStrideScatter()`, `VecStrideMin()`, `VecStrideMax()`

## Level

advanced

## Location

src/vec/vec/utils/vinv.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages